# $Id: control_sio.tcl,v 1.2 1998/07/20 16:41:29 stb Exp $

#
# Remote control functions using stdin/stdout
#
proc control_send_stdio { msg } {
  global cfile

  puts stdout $msg
  flush stdout
}

proc control_read_stdio {fileId } {
  if {[gets $fileId msg] < 0} exit
  control_eval $msg
}


#
# Initialize communication with {protocol host port}
#
proc control_init_stdio {controller} {
    fileevent stdin readable {control_read_stdio stdin}
}
