/* this file was machine generated from nevit.tcl */
/* on Thu May  6 13:32:23 MEST 1999 by root  */

char nevit_tcl[] = "\
proc control_error {arg} {\n\
    global var\n\
    toplevel .window \n\
    label .window.message -text $arg\n\
    frame .window.frame\n\
    button .window.frame.ok -text Continue -command {;set var 1;destroy .window}  \n\
    button .window.frame.exit -text Exit -command {set var 1;nevit_leave}\n\
    pack .window.frame.ok .window.frame.exit -side left \\\n\
	-padx 5 -pady 5 -ipadx 5 -ipady 5\n\
    pack  .window.message .window.frame -side top \\\n\
	-padx 5 -pady 5 -ipadx 5 -ipady 5\n\
}\n\
    \n\
proc control_receive {cmd} {\n\
    global session_name\n\
    if {[string length $cmd] > 0} {\n\
	if {[lsearch {proc exec rename} [lindex $cmd 0]] >= 0} {\n\
	} elseif {[lindex $cmd 1] == \"no_interest\"} {\n\
	    puts stderr \"[pid] $cmd\"\n\
	} else {\n\
	    if {[lindex $cmd 0] == \"session\"} {\n\
		join_session [lindex $cmd 1]\n\
	    }  else {\n\
		if {[catch {eval $cmd} msg]} {\n\
		    if {[string length $cmd] > 0} {\n\
			if {[info exists session_name]>0} {\n\
			    if {![regexp -nocase audio  $cmd]} {\n\
				return\n\
			    }\n\
			}\n\
		    }   \n\
		}\n\
	    }\n\
	} \n\
    }\n\
}\n\
proc audio_video {cmd} {\n\
    global session_name myself\n\
    if {![regexp -nocase [lindex [split $session_name /] 0]  $cmd]} {\n\
	return\n\
    }\n\
    if {[regexp -nocase send  $cmd]} {\n\
	puts \"sending \"\n\
	nevit_config send  [lindex [split $cmd] 2] \n\
	return\n\
    }\n\
}\n\
proc join_session {st} {\n\
    global session_name myself site update_int\n\
    if {[info exists session_name]>0} {\n\
	    return;	\n\
    }\n\
    \n\
    set type [media_type]\n\
    if {![regexp -nocase $type $st]} {\n\
  	return\n\
    }\n\
    set session_name $st\n\
    set myself [idstring %u@%i]\n\
    set site($myself,cname) $myself\n\
    eval \"proc $st/$myself {c args} {member $st $myself \\$c \\$args}\"\n\
    nevit_config cname $myself\n\
    eval \"proc $st {c args} {session $st \\$c \\$args}\"\n\
    control_send \"$st created\"\n\
    control_send \"$st hello $myself\"\n\
    after $update_int update_active \n\
}\n\
proc update_active { } {\n\
    global session_name update_int\n\
    control_send \"$session_name active\"\n\
    if { $update_int > 0 } {\n\
       after $update_int update_active\n\
    }\n\
}\n\
proc + {args} {\n\
}\n\
 \n\
proc agent {args} {\n\
}\n\
proc member {st cname c args} {\n\
    global myself session_name\n\
    if {[info exists session_name]>0} {\n\
	if {![regexp -nocase $session_name $st]} {\n\
	    return\n\
	}\n\
    }\n\
    switch $c {\n\
	statistics? {\n\
	    stats $cname\n\
	}\n\
	enlarge {\n\
		nevit_config enlarge $cname $args\n\
	}	    \n\
	receive {\n\
	    if { $cname == $myself } {\n\
		nevit_config preview $args\n\
	    } else {\n\
		regsub -all \"{\" $args \"\" args\n\
		regsub -all \"}\" $args \"\" args	\n\
		nevit_config receive $cname [lindex $args 0] [lindex $args 1]\n\
	    }\n\
	}\n\
	bye {\n\
	    puts quit\n\
	}\n\
    }\n\
}\n\
proc session {st c args} {\n\
    global site myself session_name update_int\n\
    if {![regexp -nocase $session_name $st]} {\n\
	return\n\
    }\n\
    switch $c {\n\
	\n\
	update_interval {\n\
	    set update_int [lindex $args 0]\n\
	}\n\
	cname {\n\
	}\n\
	note {\n\
	}\n\
	created {\n\
	}\n\
	opened {\n\
	}\n\
	hello {\n\
	    set cname [lindex $args 0]\n\
	    if {$cname != $myself} {\n\
		eval \"proc $st/$cname {c args} {member $st $cname \\$c \\$args}\"\n\
	    }\n\
	}\n\
	network {\n\
	    nevit_config network $args\n\
	}\n\
	peak_bandwidth_minimum {\n\
	    nevit_config  peak_bandwidth_minimum $args\n\
	}\n\
	peak_bandwidth_target {\n\
	    nevit_config  peak_bandwidth_target $args\n\
	}   \n\
	mean_bandwidth_minimum {\n\
	    nevit_config  mean_bandwidth_minimum $args\n\
	}\n\
	mean_bandwidth_target {\n\
	    nevit_config  mean_bandwidth_target $args\n\
	}   \n\
	mean_burst_minimum {\n\
	    nevit_config  mean_burst_minimum $args\n\
	}\n\
	mean_burst_target {\n\
	    nevit_config  mean_burst_target $args\n\
	}   \n\
	device {\n\
	    nevit_config  device $args\n\
	}\n\
	transport {\n\
	    set site($myself,transport) $args\n\
	}\n\
	port {\n\
	    set site($myself,port) $args\n\
	}\n\
	ttl {\n\
	    set site($myself,ttl) $args\n\
	}\n\
	media {\n\
	    set site($myself,media) $args\n\
	    nevit_config media  $args\n\
	}\n\
	quality {\n\
	    nevit_config quality $args\n\
	}\n\
	Levels {\n\
	    set args [string trim [lindex $args 0] ]\n\
	    set len [llength [split $args]]\n\
	    set i 0\n\
	    while {$i <$len } {\n\
		    lappend param_list [lindex [split $args] $i]\n\
		incr i\n\
		}\n\
	    nevit_config Levels $args	\n\
	}\n\
	reserve {\n\
	    nevit_config reserve   $args	\n\
	}\n\
	path {\n\
	    nevit_config path  $args	\n\
	}\n\
	max_bandwidth {\n\
	    nevit_config max_bandwidth  $args	\n\
	}\n\
	max_frame_rate {\n\
	    nevit_config max_frame_rate $args	\n\
	}\n\
	width {\n\
	    nevit_config width $args\n\
	}\n\
	height {\n\
	    nevit_config height $args\n\
	}\n\
	send {\n\
	    regsub -all \"{\" $args \"\" args\n\
	    regsub -all \"}\" $args \"\" args	\n\
	    nevit_config send  [lindex $args 0]	[lindex $args 1]\n\
	    \n\
	}\n\
	video_input {\n\
	    nevit_config video_input $args\n\
	}\n\
	file {\n\
	    nevit_config file $args \n\
	}\n\
	preview {\n\
	    nevit_config preview $args\n\
	}\n\
	debug {\n\
	    eval nevit_config debug [lindex $args 0]\n\
	}\n\
	open {\n\
	    set host $args\n\
	    nevit_open $host $site($myself,port) $site($myself,ttl)\n\
	    control_send \"$st opened\"\n\
	}\n\
	\n\
	local {\n\
	    set local $args\n\
	    nevit_local $local\n\
	}\n\
	close {\n\
	    nevit_close\n\
	    control_send \"$st closed\"\n\
	    exit 1;\n\
	}\n\
	closed {\n\
	    rename $st {}\n\
	    rename $st/$myself {}\n\
	}	\n\
	control {\n\
	    nevit_config control   $args\n\
	}	\n\
	alpha {\n\
	    nevit_config alpha   $args\n\
	}	\n\
	multiplicative_decrease {\n\
	    nevit_config multiplicative_decrease   $args\n\
	}	\n\
	loss_upper_threshold {\n\
	    nevit_config loss_upper_threshold   $args\n\
	}	\n\
	additive_increase {\n\
	    nevit_config additive_increase   $args\n\
	}	\n\
	loss_lower_threshold {\n\
	    nevit_config loss_lower_threshold   $args\n\
	}	\n\
	congested_recv_fraction {\n\
	    nevit_config congested_recv_fraction   $args\n\
	}\n\
	loaded_recv_fraction {\n\
	    nevit_config loaded_recv_fraction   $args\n\
	}\n\
	algorithm {\n\
	    nevit_config algorithm   $args\n\
	}	   \n\
	default {\n\
	    nevit_config $c [lindex $args 0]\n\
	}\n\
    }\n\
}\n\
control_send \"agent nevit attached [pid]\"\n\
set update_int 2000\n\
   ";
