/*
* Convert timeval to NTP-32 timestamp.
*/
#include <sys/types.h>
#include <sys/time.h>
#include <memory.h>    /* memcpy() */
#include "global.h"

static char rcsid[] = "$Id: tv_ntp32.c,v 1.1.1.1 1997/11/12 17:16:08 dor Exp $";

u_int32 timeval_ntp32(struct timeval *tv)
{
  return ((tv->tv_sec  + 2208988800U) << 16) | 
         ((u_long)(tv->tv_usec * 4294.967296) >> 16);
} /* timeval_ntp32 */
