#ifndef _udp_h_
#define _udp_h_


#define MAX_PKT_LEN 8192

typedef struct {
  session_t *session;        /* pointer to session structure */
  session_r *session_rec;   /* pointer to session structure */
  int sock[NUM_PROTOCOLS];
  struct sockaddr_in serv_addr[NUM_PROTOCOLS];
  void (*proto_handler[NUM_PROTOCOLS])();
#ifdef NEW
  int sock_handler[NUM_PROTOCOLS];
#else
  Tcl_File sock_handler[NUM_PROTOCOLS];
#endif
} udp_t;

/* udp.c  */
extern void UDP_init(session_t *session);

extern int UDP_write(int proto, char *buf1, int len1, char *buf2, int len2);
extern int UDP_receive(ClientData client);
#endif

