#ifndef _g721_h
#define _g721_h

#if G72x
#include <multimedia/audio_encode.h>
#else
#ifndef _g723_h
struct audio_g72x_state {
  int dummy;
};
#endif
#endif

extern void *G721_init(void *state, double period);
extern void g721_init_state(struct audio_g72x_state *);
extern int G721_encode(void *in_buf, int in_size,
     audio_descr_t *ad, void *out_buf, int *out_size, void *state, int hflag);
extern int G721_decode(void *in_buf, int in_size,
     audio_descr_t *ad, void *out_buf, int *out_size, void *state);
#endif
