typedef struct {
  u_int32 lcmrate;		/* least common multiple of rates */
  u_int32 inskip, outskip;	/* LCM increments for I & O rates */
  u_int32 total;
  u_int32 intot, outtot;		/* total samples in terms of LCM rate */
  long lastsamp;
} rate_t;

extern void rate_init (audio_descr_t *, audio_descr_t *, rate_t *);
extern int rate
  (void *in_buf, int in_size, audio_descr_t *in_ad,
   void *out_buf, int *out_size, audio_descr_t *out_ad,
   rate_t *r);
