#include "types.h"     /* u_int32 */
#include <sys/time.h>  /* gettimeofday() */
#include "ansi.h"

/*
* Return current time as NTP timestamp.
*/
void gettimeofday_ntp(u_int32 *t)
{
  struct timeval tv;

  gettimeofday(&tv, 0);
  t[0] = tv.tv_sec  + 2208988800U;
  t[1] = tv.tv_usec * 4294.967296;
} /* gettimeofday_ntp */
