/* this file was machine generated from setup.tcl */
/* on Wed Dec  9 12:34:02 MET 1998 by koepsel  */

char setup_tcl[] = "\
proc silence_panel {{w .silence} {title \"Silence detection\"}} {\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
set lw 30\n\
pack \\\n\
[hscale $w.before_spurt \"Before talkspurt\"  $lw 0 10 1 pkt tx(before)] \\\n\
[hscale $w.after_spurt  \"After talkspurt\"   $lw 0 10 1 pkt tx(after)] \\\n\
[hscale $w.sd_increase  \"Threshold incr.\"   $lw   0  1 0.01 dB sd(increase)] \\\n\
[hscale $w.sd_min       \"Minimum threshold\" $lw -60  0 0.5 dB sd(minimum)] \\\n\
[hscale $w.sd_max       \"Maximum threshold\" $lw -60  0 0.5 dB sd(maximum)] \\\n\
[hscale $w.sd_hyst      \"Hysteresis\"        $lw   0 10 0.1 dB sd(hysteresis)] \\\n\
[hscale $w.sd_echo      \"Echo suppression\"  $lw   0 10 0.1 dB sd(echo)] \\\n\
-side top -anchor nw\n\
pack \\\n\
[checkbutton $w.sd -text \"enable\" -variable sd(enable) -relief flat] \\\n\
[button $w.ok -text \"Dismiss\" -command \"destroy $w\"] \\\n\
-side top\n\
}\n\
proc agc_panel {{w .agc} {title \"Automatic gain control\"}} {\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
set lw 30\n\
set pos {top frame nw}\n\
pack \\\n\
[hscale $w.agc_tc   \"Time constant\"  $lw 0.1  10 0.2 sec agc(tc)] \\\n\
[hscale $w.agc_low  \"Low volume\"     $lw -60 -10 1 dB agc(low)] \\\n\
[hscale $w.agc_high \"High volume\"    $lw -60   0 1 dB agc(high)] \\\n\
-side top -anchor nw\n\
pack \\\n\
[checkbutton $w.agc -text \"enable\" -variable agc(enable) -relief flat] \\\n\
[button $w.ok -text \"Dismiss\" -command \"destroy $w\"] \\\n\
-side top\n\
}\n\
proc vu_panel {{w .vu} {title \"Volume meter\"}} {\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
set lw 30\n\
pack \\\n\
[hscale $w.vu_interval \"Update interval\"  $lw 1 20  1 pkt vu(interval)] \\\n\
[hscale $w.vu_hyst     \"Update threshold\" $lw 0  5  0.5 dB vu(hyst)] \\\n\
-side top -anchor nw\n\
pack \\\n\
[checkbutton $w.vu -text \"enable\" -variable vu(enable) -relief flat] \\\n\
[button $w.ok -text \"Dismiss\" -command \"destroy $w\"] \\\n\
-side top\n\
}\n\
proc del_panel {{w .del} {title \"Delay adjustment\"}} {\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
set lw 30\n\
pack \\\n\
pack \\\n\
[button $w.ok -text \"Dismiss\" -command \"destroy $w\"] \\\n\
-side top\n\
}\n\
proc audio_panel {{w .audio} {title \"Local audio\"}} {\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
set lw 30\n\
set pos {top frame nw}\n\
pack \\\n\
[blist $w.audio_priority \"Release audio\" $lw 2 \\\n\
{{on_demand   on_demand    \"on_demand\"}\n\
{idle        idle         \"idle\"}\n\
{idle_demand idle_demand  \"idle and demand\"}\n\
{never       never        \"never\"}} audio_priority] \\\n\
[checkbutton $w.monitor -text \"Monitor audio\" -variable tx(monitor) -relief flat ] \\\n\
-side top -anchor nw\n\
pack [button $w.ok -text \"Dismiss\" -command \"destroy $w\"] \\\n\
-side bottom\n\
}\n\
proc timeout_panel {{w .timeout} {title \"Timeouts\"}} {\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
set lw 30\n\
pack \\\n\
[hscale $w.soft_to \"Soft timeout\" $lw 2 50 1 intervals rx(soft_timeout)] \\\n\
[hscale $w.hard_to \"Hard timeout\" $lw 2 200 1 intervals rx(hard_timeout)] \\\n\
-side top -anchor nw\n\
pack \\\n\
[button $w.ok -text \"Dismiss\" -command \"destroy $w\"] -side bottom\n\
}\n\
proc echo_panel {{w .echo} {title \"Echo Suppression\"}} {\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
pack \\\n\
[checkbutton $w.echo -text \"Echo suppression\" -variable echo_supp -relief flat ] \\\n\
-side top -anchor w\n\
pack \\\n\
[button $w.ok -text \"Dismiss\" -command \"destroy $w\"] -side bottom\n\
}\n\
proc debug_accept {} {\n\
global debug dbg\n\
set t \"\"\n\
foreach d [array names dbg] {\n\
if {$dbg($d)} {\n\
lappend t $d\n\
}\n\
}\n\
set debug $t\n\
}\n\
proc debug_panel {{w .debug} {title \"Debugging\"}} {\n\
global debug dbg\n\
if {[winfo exists $w]} {\n\
return\n\
}\n\
toplevel $w\n\
wm title $w $title\n\
set lw 20\n\
set pos {top frame nw}\n\
if {[info exists dbg]} {\n\
foreach e [array names dbg] {\n\
set dbg($e) 0\n\
}\n\
}\n\
foreach e $debug {\n\
set dbg($e) 1\n\
}\n\
pack \\\n\
[checkbutton $w.tx    -text \"Transmit\"          -var dbg(tx)    -rel flat] \\\n\
[checkbutton $w.rx    -text \"Receive\"           -var dbg(rx)    -rel flat] \\\n\
[checkbutton $w.sd    -text \"Silence Detection\" -var dbg(sd)    -rel flat] \\\n\
[checkbutton $w.audio -text \"Audio\"             -var dbg(audio) -rel flat] \\\n\
[checkbutton $w.cntl  -text \"Control\"           -var dbg(cntl)  -rel flat] \\\n\
[checkbutton $w.ts    -text \"Talkspurts\"        -var dbg(ts)    -rel flat] \\\n\
[checkbutton $w.pmm   -text \"PMM messages\"      -var dbg(pmm)   -rel flat] \\\n\
[field_str $w.debugfile  \"Debug output\" $lw 20 \"\" debugfile] \\\n\
-side top -anchor nw\n\
pack [frame $w.action]\n\
pack \\\n\
[button $w.action.dismiss -text \"Dismiss\" -command \"destroy $w\"] \\\n\
[button $w.action.accept  -text \"Accept\" \\\n\
-command \"debug_accept; destroy $w\"] \\\n\
-padx 10 -side left\n\
}\n\
   ";
