RSVP Release 4.2a3
Linux version (Linux 2.0.34 or Redhat 5.1)
Created Date:	August 15, 1998
Modified Date:	August 24, 1998
By Phil Wang, Ph.D
Computer Science Department, Columbia University
Email:	yhwang@cs.columbia.edu
URL:	http://www.cs.columbia.edu/~yhwang/cworks.html
FTP:	http://www.cs.columbia.edu/~yhwang/ftp/qos/rsvp



RTAP script


Contents
	- Steps to run RTAP
	- RTAP commands
	- RSVP debug
	- RSVP Status
	- RTAP commands between two Linux boxes


1. Steps to run RTAP
	Step 1: start a debug rsvp process
		$ rsvpd -D
	or
		$ rsvpd -D -d 7 -l 63

	Step 2: test RSVP daemon directly by rtap
		$ rtap
		<commands>

	Step 3: check the status of RSVP process
		$ rstat -pf


2. RTAP commands
yangtse bin 582> rtap
rtap [v3.1] RSVP Test Application
RSVP API version 5.01

Enter ? or command:
T1> help
Commands are:
 help | ?
 quit
 T <#> | T+ | T- 
 dest [gpi] [intserv] <proto> <dest addr>[/<dest port>]
 session (same as 'dest')
 sender [<src host>/]<src port> <Tspec> [<adspec>]
 reserve [recv addr] wf [*] <flowspec>  |
 reserve [rcv addr] ff <filtspec> <flowspec> [<filtspec> <flowspec>] ... |
 reserve [rcv addr] se [<filtspec> ...] <flowspec>
 close
 status
 data [<# per sec> [<size>]]
 receive [recv host]
 ttl <integer>
 confirm  (Req confirmation)
 (Not supported)
 auth <user credential string>
 async
 sleep <seconds>
 dlevel <logging level>
 dmask <debug mask>
 hexmsg <type> <host> [vif] x<hex string>
 echo <text>

 bug (Toggles on/off)
 Notes:
        Commands 'template' and 'ttl' are optional.
        Any command may be preceded by 'T<thread#><sp>'

<proto> ::= 'tcp' | 'udp' | 'proto' <integer>

<Flowspec> ::= 
    '[' 'g' <R> <S>  <r(Bps)> <b(B)> <p(Bps)> <m(B)> [ <M(B)> ] ']'  |
    '[' 'cl'  <r(Bps)> <b(B)> <m(B)> [ <M(B)> ] ']'  |

<Tspec> ::= 
    '[' 't' <r(Bps)> <b(B)> <p(Bps)> <m(B)> [ <M(B)> ] ']'

<Adspec> ::= 
    '(' ['br!'] <h#> <bw#> <minlat> <mtu>  
        [ ',' 'G=' '{' ['br!'] [<Ctot>] [<Dtot>] [<Csum>] [<Dsum>] 
             [<h#> 'hop'] [<bw#> 'bw'] [<minlat> 'us'] [<mtu> 'mtu'] '}' ]  
        [ ',' 'CL=' '{' ['br!'] 
             [<h#> 'hop'] [<bw#> 'bw'] [<minlat> 'us'] [<mtu> 'mtu'] '}' ]  

<Filtspec> ::= <host name|number>/<port #|GPI>

<type> ::= 'path'|'resv'|'ptear'|'rtear'|'perr'|'rerr'|'confirm'
T1> dest tcp yangtse/2345
T1: rapi_session => sid= 1, fd= 3
T1> send yangtse/2345 [ t 128 256 256 0 256 ]
rapi_sender() OK
T1> status
T1 STATUS:
  State: Open S  sid= 1 
  Session:
     Dest= 128.59.10.20/2345
  Sender:
    128.59.10.20/2345  Tspec=  [T [128(256) p=256 m=0 M=256]]
T1> reserve yangtse ff yangtse/2345 [ cl 128 256 256 0 256 ]
T1> status
T1 STATUS:
  State: Open SR  sid= 1 
  Session:
     Dest= 128.59.10.20/2345
  Sender:
    128.59.10.20/2345  Tspec=  [T [128(256) p=256 m=0 M=256]]
T1> quit
Closed sid= 1, fd= 3

3. RSVP debug
With "-D" option, RSVP runs in debug and prints its messages onto screen.

[root@yangtse /tmp]# ./rsvpd -D
21:18:00.541  RSVP Version 4.2a3, Compiled on: Aug 19 1998 at 17:28
21:18:00.542  Log level:7  Debug mask:7  Start time: Mon Aug 24 21:18:00 1998
21:18:00.543  No mrouted running
21:18:00.543  Physical, Virtual, and API interfaces are:
21:18:00.543   0 eth0                                    128.59.11.4/24  NoIS M
21:18:00.543   1 API                                         0.0.0.0/0   NoIS 
rtap [v3.1] RSVP Test Application
RSVP API version 5.01

Enter ? or command:
T1> 21:21:44.834|  API Reg            yangtse.cs.columbia.edu/2345[6]    <API pid=2686 Asid=1
21:22:06.190|  API Reg  *S        yangtse.cs.columbia.edu/2345[6]    <API pid=2686 Asid=1
   Register sender: yangtse.cs.columbia.edu/2345  T=[128(256) 256B/s 0 256]
21:22:06.194|  Rcv API  PATH      yangtse.cs.columbia.edu/2345[6]    <API ttl=/63
  PATH: Sess: yangtse.cs.columbia.edu/2345[6]    R: 30000   PHOP: <(API) LIH=0>
	yangtse.cs.columbia.edu/2345  T=[128(256) 256B/s 0 256]
		Adspec( 0 hop InfBW 0us 65535B, G={br!}, CL={br!})


21:22:06.201 >>>>>>>>>>  Internal STATE: <<<<<<< 54059 <<<<<<
 Sess: yangtse.cs.columbia.edu/2345[6]    Refresh intervals: Path R= 30000  Resv R=0
   Sender: yangtse.cs.columbia.edu/2345   PHOP: <(API)>   TTD: 211559
     In_if 1=>API  Outlist 0x0   flags *PE  ip_ttl 63
     T=[128(256) 256B/s 0 256]   Adspec( 0 hop InfBW 0us 65535B, G={br!}, CL={br!})

   ------------- End of Dest state dump ---------------

21:22:36.000|  API Rsv  FF        yangtse.cs.columbia.edu/2345[6]    <API pid=2686 Asid=1
  Reserve  StyleID= 2
    yangtse.cs.columbia.edu/2345  [CL T=[128(256) InfB/s 256 0] ]
21:22:36.004|  Rcv API  PATH      yangtse.cs.columbia.edu/2345[6]    <API ttl=/63
  PATH: Sess: yangtse.cs.columbia.edu/2345[6]    R: 30000   PHOP: <(API) LIH=0>
	yangtse.cs.columbia.edu/2345  T=[128(256) 256B/s 0 256]
		Adspec( 0 hop InfBW 0us 65535B, G={br!}, CL={br!})

21:22:36.011|  Rcv API  RESV      yangtse.cs.columbia.edu/2345[6]    <API ttl=/0
  RESV: Sess: yangtse.cs.columbia.edu/2345[6]    R: 30000   NHOP: <(API) LIH=0>
    FF   yangtse.cs.columbia.edu/2345    [CL T=[128(256) InfB/s 256 0] ]



21:22:36.018 >>>>>>>>>>  Internal STATE: <<<<<<< 83852 <<<<<<
 Sess: yangtse.cs.columbia.edu/2345[6]    Refresh intervals: Path R= 30000  Resv R=30000
   Sender: yangtse.cs.columbia.edu/2345   PHOP: <(API)>   TTD: 241352
     In_if 1=>API  Outlist 0x0   flags *E  ip_ttl 63
     T=[128(256) 256B/s 0 256]   Adspec( 0 hop InfBW 0us 65535B, G={br!}, CL={br!})

   FF Resv:   Iface 1=>API Nhop <(API) LIH=0>  TTD 241352
      Filter yangtse.cs.columbia.edu/2345    Flowspec [CL T=[128(256) InfB/s 256 0] ]
   ------------- End of Dest state dump ---------------

21:22:36.246|T Rcv API  PATH      yangtse.cs.columbia.edu/2345[6]    <API ttl=/63
  PATH: Sess: yangtse.cs.columbia.edu/2345[6]    R: 30000   PHOP: <(API) LIH=0>
	yangtse.cs.columbia.edu/2345  T=[128(256) 256B/s 0 256]
		Adspec( 0 hop InfBW 0us 65535B, G={br!}, CL={br!})

21:22:36.253|  Rcv API  RESV      yangtse.cs.columbia.edu/2345[6]    <API ttl=/0
  RESV: Sess: yangtse.cs.columbia.edu/2345[6]    R: 30000   NHOP: <(API) LIH=0>
    FF   yangtse.cs.columbia.edu/2345    [CL T=[128(256) InfB/s 256 0] ]


21:23:04.905|  API Cls            yangtse.cs.columbia.edu/2345[6]    <API pid=2686 Asid=1
21:23:04.907|  Rcv API  PATH-TEAR yangtse.cs.columbia.edu/2345[6]    <API ttl=/63
  PTEAR: Sess: yangtse.cs.columbia.edu/2345[6]    R: 30000   PHOP: <(API) LIH=0>
	yangtse.cs.columbia.edu/2345  T=[128(256) 256B/s 0 256]
		Adspec( 0 hop InfBW 0us 65535B, G={br!}, CL={br!})

21:23:04.914|  Rcv API  RESV-TEAR yangtse.cs.columbia.edu/2345[6]    <API ttl=/0
  RTEAR: Sess: yangtse.cs.columbia.edu/2345[6]    R: 30000   NHOP: <(API) LIH=0>
    FF   yangtse.cs.columbia.edu/2345    [CL T=[128(256) InfB/s 256 0] ]
T1> quit


4. RSVP Status
To see an RSVP status, rstat can be used.

yangtse bin 583> rstat -pf
Iface      Session                 Sender                  Neighbor

API    FF  yangtse.cs.colu/2345    yangtse.cs/2345         API          
                              >> [CL T=[128(256) InfB/s 256 0] ]
-- Path -- yangtse.cs.colu/2345    yangtse.cs/2345         API          
                              >> T=[128(256) 256B/s 0 256]

5. RTAP commands between two Linux boxes
- Linux Box 1:	qos11 (reserver)

qos11 bin 583> ./rtap
rtap [v3.1] RSVP Test Application
RSVP API version 5.01

Enter ? or command:
T1> dest tcp qos11/8989		#T1> dest udp qos11/8989 (?)
T1: rapi_session => sid= 1, fd= 3
T1> status
T1 STATUS:
  State: Closed  sid= 1 
  Session:
     Dest= 128.59.11.4/8989
T1> ---------------------------------------------------------------
T1: Path Event --   Session= 128.59.11.4/8989
	qos10/8989	 [T [128(256) p=256 m=0 M=256]]
		{1 hop 1.25MBW 0us 1500B} ,G={br!} ,CL={br!}
---------------------------------------------------------------
reserve qos11 ff qos10/8989 [ cl 128 256 256 0 256 ]
T1> 
T1> status
T1 STATUS:
  State: Open R  sid= 1 
  Session:
     Dest= 128.59.11.4/8989
T1> quit
Closed sid= 1, fd= 3

- Linux Box 2:	qos10 (sender)

qos10 bin 583> ./rtap
rtap [v3.1] RSVP Test Application
RSVP API version 5.01

Enter ? or command:
T1> dest tcp qos11/8989		#T1> dest udp qos11/8989 (?)
T1: rapi_session => sid= 1, fd= 3
T1> status
T1 STATUS:
  State: Closed  sid= 1 
  Session:
     Dest= 128.59.11.4/8989
T1> send qos10/8989 [ t 128 256 256 0 256 ]
rapi_sender() OK
T1> status
T1 STATUS:
  State: Open S  sid= 1 
  Session:
     Dest= 128.59.11.4/8989
  Sender:
    128.59.10.20/8989  Tspec=  [T [128(256) p=256 m=0 M=256]]
T1> ---------------------------------------------------------------
T1: Resv Event --   Session= 128.59.11.4/8989
	qos10.cs.columbia.edu/8989	 [CL [128(256) p=Inf m=256 M=0] R=0 S=0]
---------------------------------------------------------------
---------------------------------------------------------------
T1: Resv Event --   Session= 128.59.11.4/8989
	qos10.cs.columbia.edu/8989	 [CL [128(256) p=Inf m=256 M=0] R=0 S=0]
---------------------------------------------------------------
quit
Closed sid= 1, fd= 3
