#
# Image handler for statistics panel.
# Called when site image changes.
# Currently handles one image per person, but should handle more.
# $Id: img_trace.tcl,v 1.2 1998/07/20 16:41:35 stb Exp $
#
proc img_trace {name element op} {
  global member

  set s [lindex [split $element ,] 0]
  # create name
  if {$element != ""} {
    set name ${name}(${element})
  }
  upvar $name img
 
  # Create new image from file
  # (XXX Should retrieve image as URL).
  if {[file readable $img]} {
    image create photo $s.photo -file 
    catch {destroy .$s.img.photo}
    label .$s.img.photo -image $s.photo
  } else {
    catch {destroy .$s.img.photo}
    label .$s.img.photo -bitmap question
  }

  pack .$s.img.photo -side left
}
