/*  @(#)bitmaps.c	1.5  97/12/23  */

/*
 * Copyright (c) Communications Research Centre, Government of Canada 1997. 
 * All rights reserved.
 * 
 * License is granted to copy and use this software, for research and
 * evaluation purposes, provided that the Communications Research Centre
 * is acknowledged in all documentation pertaining to any such copy or
 * use. The Communications Research Centre grants no other licenses
 * expressed or implied. Title, ownership rights, and intellectual
 * property rights in the software shall remain with the Communications
 * Research Centre.  The Centre's name and the Government of Canada
 * should not be used in any advertising without written permission.
 * 
 * THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
 * EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
 * "as is" without express or implied warranty of any kind.
 * 
 * These notices must be retained in any copies of any part of this
 * software.
 */



#include "mpoll.h"

/* define the bitmaps used in the interface */

 
extern struct Tcl_Interp *Et_Interp;

#include "logo.xbm"
#include "point.xbm"

void init_bitmaps()
   {
   
   Tk_DefineBitmap(Et_Interp, Tk_GetUid("logo"), logo_bits, logo_width, logo_height);
   Tk_DefineBitmap(Et_Interp, Tk_GetUid("point"), point_bits, point_width, point_height);
   }
