/* this file was machine generated from tcl/stat.tcl */
/* on Mon Dec  7 17:20:12 MET 1998 by koepsel  */

char tcl/stat_tcl[] = "\
set Max_y 1\n\
set Max_x 1\n\
set Width 350 \n\
set Height 300\n\
set W_Edge 40\n\
set H_Edge 40\n\
set Curve_W [expr $Width  - (2*$W_Edge)]\n\
set Curve_H [expr $Height - (2*$H_Edge)]\n\
set X_Zero $W_Edge\n\
set Y_Zero [expr $Curve_H+$H_Edge]\n\
proc graph {w title x_axis} {\n\
    global  Curve_H Curve_W X_Zero Y_Zero members W_Edge H_Edge Width Height\n\
    if { [winfo exists $w]} {\n\
	destroy $w\n\
    }\n\
    canvas $w -width $Width -height $Height\n\
    $w create rectangle [expr $Curve_W+$W_Edge] [expr $Curve_H+$H_Edge]\\\n\
	$W_Edge $H_Edge  -outline black -fill white -tag rec_$w\n\
    $w create text \\\n\
	[expr $Width/2] [expr $H_Edge-20]  -text $title -justify center \n\
    $w create text \\\n\
	[expr $Width/2] [expr $Height-$H_Edge+30] -text $x_axis -justify center\n\
    pack $w\n\
    set members($w,div) 0\n\
    set members($w,Max_x) 1\n\
    set members($w,Max_y) 1\n\
    set members($w,Div_x) 10\n\
    set members($w,Div_y) 10\n\
}\n\
proc element {w list_x list_y} {\n\
    global W_Edge H_Edge Width Height members Curve_W Curve_H\n\
    set members($w,Div_x) 10\n\
    set members($w,Div_y) 10\n\
    set members($w,Max_x)   [lindex $list_x [expr [llength $list_x]-1 ]]\n\
    set value_y [lindex $list_y [expr [llength $list_y]-1 ]]\n\
    if { $value_y > $members($w,Max_y) } {\n\
	set members($w,Max_y) $value_y\n\
    }\n\
    if { $members($w,Max_y) < $members($w,Div_y) } {\n\
	set members($w,Div_y) $members($w,Max_y)\n\
	if { $members($w,Div_y) <=1 } {\n\
	    set members($w,Div_y) 2\n\
	}\n\
    }\n\
    if { $members($w,Max_x) < $members($w,Div_x) } {\n\
	set members($w,Div_x) $members($w,Max_x)\n\
	if { $members($w,Div_x) <=1 } { \n\
	    set members($w,Div_x) 2\n\
	}\n\
     }\n\
    \n\
    if { $members($w,div) >0 } {\n\
	$w delete {$w_tag_div}\n\
    }\n\
    for { set i 0} {$i <= $members($w,Div_x) } {incr i} {\n\
puts \" Div_x=$members($w,Div_x) max_x=$members($w,Max_x)\"\n\
	$w create text \\\n\
	    [expr ($W_Edge )+(($i*$Curve_W)/($members($w,Div_x)))] \\\n\
	    [expr $Height -$H_Edge +10] \\\n\
	    -text [expr ($i*$members($w,Max_x))/$members($w,Div_x)] \\\n\
	    -justify center -tag {$w_tag_div}\n\
	set members($w,div) $members($w,Div_x)\n\
    }\n\
    for { set i 0} {$i <= $members($w,Div_y) } {incr i} {\n\
	set value \\\n\
	    [format \"%.1f\" [expr ($i*$members($w,Max_y))/$members($w,Div_y)]]\n\
	$w create text   [expr $W_Edge -20] \\\n\
	    [expr ($Height -$H_Edge)-(($i*$Curve_H)/$members($w,Div_y))] \\\n\
	    -text $value -justify right -tag {$w_tag_div}\n\
    }	\n\
    draw $w $list_x $list_y\n\
}\n\
proc draw {w list_x list_y} {\n\
    global List Curve_W Curve_H X_Zero Y_Zero  members\n\
    set length [expr [llength $list_x]-1 ]\n\
    for { set i 0} {$i <= $length} {incr i} {\n\
	set List [lappend List \\\n\
		 [expr ([lindex $list_x $i]*$Curve_W)/($members($w,Max_x)+1)]]\n\
	set List [lappend List \\\n\
		[expr ([lindex $list_y $i]*$Curve_H)/($members($w,Max_y)+1)]]\n\
    }\n\
    $w delete -tag {$w_rec_tag}\n\
    set x1 $X_Zero\n\
    set y1 $Y_Zero\n\
    set length [expr [llength $List]/2]\n\
    for { set i 0} {$i < $length} {incr i} {\n\
	set x2 [expr [lindex $List [expr ($i*2)]]+$X_Zero]\n\
	set y2 [expr $Y_Zero - [lindex $List [expr ($i*2)+1]]]\n\
	$w create line $x1 $y1  $x2 $y2 \\\n\
	    -fill green -tag {$w_rec_tag}\n\
	set x1 $x2\n\
	set y1 $y2\n\
    }\n\
    unset List\n\
}\n\
toplevel .stat\n\
wm title .stat lllll\n\
graph .stat.g Test seconds\n\
element .stat.g {0 } {0}\n\
element .stat.g {0 1} {0 1}\n\
element .stat.g {0 1 10 } {0 1 20}\n\
element .stat.g {0 1 10 20 } {0 1 20 25}\n\
element .stat.g {0 1 10 20 30} {0 1 20 25 100}\n\
element .stat.g {0 1 10 20 30 40} {0 1 20 25 100 30}\n\
element .stat.g {0 1 10 20 30 40 50} {0 1 20 25 100 30 40}\n\
element .stat.g {0 1 10 20 30 40 50 60} {0 1 20 25 100 30 40 110}\n\
element .stat.g {0 1 10 20 30 40 50 60 70} {0 1 20 25 100 30 40 110 10000}\n\
toplevel .stat2\n\
wm title .stat2 lllll\n\
graph .stat2.g Test seconds\n\
element .stat2.g {0 } {0}\n\
element .stat2.g {0 1} {0 1}\n\
element .stat2.g {0 1 10 } {0 1 20}\n\
   ";
